﻿@model Tuple<Store.Root, List<string>>

<div id="modal-store-data" class="modal" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Store Settings</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <table class="table table-responsive-sm table-striped table-bordered">
                    <thead class="thead-dark">
                        <tr>
                            <th>Store</th>
                            <th><input id="select-all" type="checkbox" /> Enabled</th>
                        </tr>
                    </thead>
                    <tbody id="table-store-settings">
                        @foreach (var store in Model.Item1.Data)
                        {
                            <tr>
                                <td>@(store.Title)</td>
                                <td>
                                    <input class="store-enabled" data-id="@(store.Id)" type="checkbox"
                                           @(Model.Item2.Contains(store.Id) ? "checked" : "")/>
                                </td>
                            </tr>
                        }
                    </tbody>
                </table>
            </div>
            <div class="modal-footer">
                <div id="success-message" class="alert alert-success mr-auto" role="alert" style="display:none;">
                    Changes saved!
                </div>
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="button" id="btn-save-settings" class="btn btn-primary">Save changes</button>
            </div>
        </div>
    </div>
</div>
